Bug 76868 - Gnofract4D port is out of date - new version compiles OK
Summary: Gnofract4D port is out of date - new version compiles OK
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sam Lawrance
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-30 19:50 UTC by Edwin Young
Modified: 2005-04-26 13:48 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Edwin Young 2005-01-30 19:50:21 UTC
Current port for Gnofract4D program corresponds to version 1.9, which didn't compile correctly on FreeBSD, so the port is currently marked as BROKEN. The most recent release is 2.6, which compiles fine.

PS I'm the author of Gnofract4D, but haven't previously been involved in maintenance of the FreeBSD port.

Fix: 

I've made a patch which I believe fixes this. However I'm not an expert on the FreeBSD ports process so it may need a bit of cleanup. You can find it at http://speakeasy.net/~edyoung/gnofract4d.patch
How-To-Repeat: type 'make' in /sur/ports/graphics/gnofract4d
Comment 1 Volker Stolz freebsd_committer 2005-02-27 18:29:03 UTC
State Changed
From-To: open->feedback

Doesn't compile on 4.11: 
cc -fno-strict-aliasing -DNDEBUG -O -pipe -D_THREAD_SAFE -DTHREAD_STACK_SIZE=0x100000 -O2 -pipe -g -fPIC -D_REENTRANT=1 -UNDEBUG -Ifract4d/c -I/usr/local/include/python2.3 -c fract4d/c/pointFunc.cpp -o build/temp.freebsd-4.11-STABLE-i386-2.3/fract4d/c/pointFunc.o -Wall 
In file included from fract4d/c/pointFunc_public.h:6, 
from fract4d/c/pointFunc.cpp:8: 
fract4d/c/fate.h:4: limits: No such file or directory 
error: command 'cc' failed with exit status 1 
*** Error code 1
Comment 2 Edwin Young 2005-03-25 05:44:06 UTC
What versions of FreeBSD should I minimally be looking to get this to
compile with? I was focusing on 5.x.

The line causing the problem on 4.11 is trying to include a standard C++
header file. 

I can think of 3 possibilities for this error:
1) the C++ compiler needs to be invoked explicitly rather than plain cc
2) 'limits' isn't on the standard include path
3) It doesn't exist yet in the libstdc++ that came with the relevant
gcc.

Not really sure how to address any of these on a platform I don't have a
copy of :-(
Comment 3 Sam Lawrance freebsd_committer 2005-04-24 07:56:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Grab.
Comment 4 Sam Lawrance freebsd_committer 2005-04-26 13:47:17 UTC
State Changed
From-To: feedback->closed

Update committed, thanks! 
I added USE_GCC=34 so the port will build on 4.x, and also tweaked 
the installation directories a little.